%define anolis_release 2
%global pypi_name langcodes
%global pypi_version 3.3.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Tools for labeling human languages with IETF language tags

License:        MIT
URL:            https://github.com/rspeer/langcodes
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Langcodes is a Python library for working with and comparing language codes.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Langcodes is a Python library for working with and comparing language codes.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%py3_build

%install
%py3_install


%check
%{__python3} setup.py test


%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Sun Feb 04 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 3.3.0-2
- Fix spec error.

* Fri Feb 02 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 3.3.0-1
- Initial package.
